# TAO.pidl File Reference

`import "Policy.pidl";`
`import "TimeBase.pidl";`
`import "Messaging_SyncScope.pidl";`

Include dependency graph for TAO.pidl:

## Namespaces

namespace | TAO

## Classes

struct | TAO::BufferingConstraint
interface | TAO::BufferingConstraintPolicy

## Typedefs

typedef unsigned short | BufferingConstraintMode

## Variables

const BufferingConstraintMode | BUFFER_FLUSH = 0x00
const BufferingConstraintMode | BUFFER_TIMEOUT = 0x01
const BufferingConstraintMode | BUFFER_MESSAGE_COUNT = 0x02
const BufferingConstraintMode | BUFFER_MESSAGE_BYTES = 0x04
const CORBA::PolicyType | BUFFERING_CONSTRAINT_POLICY_TYPE = 0x54410001
const Messaging::SyncScope | SYNC_EAGER_BUFFERING = Messaging::SYNC_NONE
const Messaging::SyncScope | SYNC_DELAYED_BUFFERING = -2

## Detailed Description

Id
  TAO.pidl,v 1.19 2005/04/12 08:32:44 jwillemsen Exp

This file contains TAO-specific idl interfaces (not part of CORBA 2.6).

The steps to regenerate the code are as follows:

1. Run the tao_idl compiler on the pidl file. The command used for this is:

tao_idl -o orig -Gp -Gd -Ge 1 -GA -SS -Sci -Wb,export_macro=TAO_Export -Wb,pre_include="ace/pre.h" -Wb,post_include="ace/post.h" TAO.pidl

2. The files are ready to use

## Typedef Documentation

typedef CORBA::UShort TAO::BufferingConstraintMode

## Variable Documentation

const TAO::BufferingConstraintMode TAO::BUFFER_FLUSH = 0x00

const TAO::BufferingConstraintMode TAO::BUFFER_MESSAGE_BYTES = 0x04

const TAO::BufferingConstraintMode TAO::BUFFER_MESSAGE_COUNT = 0x02

const TAO::BufferingConstraintMode TAO::BUFFER_TIMEOUT = 0x01

const CORBA::PolicyType TAO::BUFFERING_CONSTRAINT_POLICY_TYPE = 0x54410001

const Messaging::SyncScope TAO::SYNC_DELAYED_BUFFERING = -2

const Messaging::SyncScope TAO::SYNC_EAGER_BUFFERING = Messaging::SYNC_NONE